<!-- Main Area -->
<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-icon card-header-info">
                        <div class="card-icon">
                            <i class="material-icons">assignment</i>
                        </div>
                        <h4 class="card-title">Danh mục sản phẩm</h4>
                    </div>
                    <div class="card-body">
                        <form>
                            <button mat-raised-button type="submit" class="btn btn-primary pull-right"
                                (click)="search()">
                                Tìm kiếm
                            </button>
                            <button mat-raised-button class="btn btn-primary pull-right" data-toggle="modal"
                                data-target="#createCategory" (click)="onCreateMode()">
                                Thêm mới
                            </button>
                            <div class="clearfix"></div>
                        </form>

                        <div *ngIf="!showTable">Không có dữ liệu</div>

                        <div *ngIf="showTable">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead class=" text-primary">
                                        <tr>
                                            <th> STT </th>
                                            <th> Mã danh mục </th>
                                            <th> Tên danh mục </th>
                                            <th> Dịch vụ cha </th>
                                            <th> Tập thuộc tính </th>
                                            <th> Chức năng </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let row of categorys; let i = index">
                                            <td> {{i + 1}} </td>
                                            <td> {{row.cgrCode}} </td>
                                            <td> {{row.cgrName}} </td>
                                            <td> {{row.cgrParentText}} </td>
                                            <td> {{row.ctlProductAttrSetText}} </td>
                                            <td class="td-actions text-left">
                                                <button mat-raised-button type="button" class="btn btn-primary btn-link"
                                                    data-toggle="modal" data-target="#updateCategory"
                                                    (click)="onUpdateMode(row)">
                                                    <i class="material-icons">edit</i>
                                                </button>
                                                <button mat-raised-button type="button" class="btn btn-primary btn-link"
                                                    (click)="delete(row)">
                                                    <i class="material-icons">delete</i>
                                                </button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="row">
                                        <label class="col-md-2 col-form-label">Số bản ghi tối đa </label>
                                        <mat-form-field class="example-full-width" style="width:40px">
                                            <mat-select matInput [(ngModel)]="limit" name="limit"
                                                (ngModelChange)="limitChange()">
                                                <mat-option [value]="10">10</mat-option>
                                                <mat-option [value]="20">20</mat-option>
                                                <mat-option [value]="50">50</mat-option>
                                                <mat-option [value]="100">100</mat-option>
                                            </mat-select>
                                        </mat-form-field>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <ul class="pagination pull-right">
                                        <li class="page-item">
                                            <a mat-button class="page-link" aria-label="Previous"
                                                (click)="pageChange((page === 1) ? page : page - 1)">
                                                <span aria-hidden="true"><i class="fa fa-angle-double-left"
                                                        aria-hidden="true"></i></span>
                                            </a>
                                        </li>
                                        <li class="page-item">
                                            <a mat-button class="page-link" *ngIf="page !== 1"
                                                (click)="pageChange(1)">1</a>
                                        </li>
                                        <div *ngIf="page > 3">
                                            ...
                                        </div>
                                        <li class="page-item">
                                            <a mat-button class="page-link" *ngIf="page > 2"
                                                (click)="pageChange(page - 1)">{{page - 1}}</a>
                                        </li>
                                        <li class="page-item active">
                                            <a mat-button class="page-link" (click)="pageChange(page)">{{page}}</a>
                                        </li>
                                        <li class="page-item">
                                            <a mat-button class="page-link" *ngIf="page < end - 1"
                                                (click)="pageChange(page + 1)">{{page + 1}}</a>
                                        </li>
                                        <div *ngIf="page < end - 2">
                                            ...
                                        </div>
                                        <li class="page-item">
                                            <a mat-button class="page-link" *ngIf="page !== end"
                                                (click)="pageChange(end)">{{end}}</a>
                                        </li>
                                        <li class="page-item">
                                            <a mat-button class="page-link" aria-label="Next"
                                                (click)="pageChange((page * limit >= total) ? page : page + 1)">
                                                <span aria-hidden="true"><i class="fa fa-angle-double-right"
                                                        aria-hidden="true"></i></span>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Spinner Area -->
<app-spinner></app-spinner>

<!-- Modals Area -->
<div class="modal fade" id="createCategory" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Thêm mới Danh Mục</h4>
                <button mat-button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                    id="createCategoryClose">
                    <i class="material-icons">clear</i>
                </button>
            </div>
            <div class="modal-body">
                <p> Thêm mới danh mục theo các dữ liệu nhập vào. </p>

                <div class="form-group bmd-form-group is-filled">
                    <form>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_code_category" name="create_code_category"
                                        placeholder="Mã danh mục" [formControl]="create_code_category_control" required>
                                    <mat-error *ngIf="create_code_category_control.invalid">Thiếu mã danh mục</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_name_category" name="create_name_category"
                                        placeholder="Tên danh mục" [formControl]="create_name_category_control" required>
                                    <mat-error *ngIf="create_name_category_control.invalid">Thiếu tên danh mục</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <mat-select matInput [(ngModel)]="create_parent_category" name="create_parent_category" placeholder="Danh mục cha" >
                                        <mat-option *ngFor="let row of categorys" [value]="row.id">{{row.cgrName}}</mat-option>
                                    </mat-select>
                                </mat-form-field>
                                <!-- <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_parent_category" name="create_parent_category"
                                        placeholder="Danh mục cha">
                                </mat-form-field> -->
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <mat-select matInput [(ngModel)]="create_attr_category" name="create_attr_category" placeholder="Tập thuộc tính" >
                                        <mat-option *ngFor="let row of attrSets" [value]="row.id">{{row.setName}}</mat-option>
                                    </mat-select>
                                </mat-form-field>
                                <!-- <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_attr_category" name="create_attr_category"
                                        placeholder="Tập thuộc tính">
                                </mat-form-field> -->
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </form>
                </div>
            </div>
            <div class="modal-footer">
                <button mat-raised-button type="button" class="btn btn-primary btn-link" (click)="create()">Thêm
                    mới</button>
                <button mat-raised-button type="button" class="btn btn-danger btn-link"
                    data-dismiss="modal">Thoát</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="updateCategory" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Cập nhật danh mục</h4>
                <button mat-button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                    id="updateCategorysClose">
                    <i class="material-icons">clear</i>
                </button>
            </div>
            <div class="modal-body">
                <p> Cập nhật thông tin danh mục theo các dữ liệu nhập vào. </p>

                <div class="form-group bmd-form-group is-filled">
                    <form>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="update_code_category" name="update_code_category"
                                        placeholder="Tên danh mục" [formControl]="update_code_category_control" required>
                                    <mat-error *ngIf="update_code_category_control.invalid">Thiếu mã danh mục</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="update_name_category" name="update_name_category" placeholder="Tên danh mục"
                                        [formControl]="update_name_category_control" required>
                                    <mat-error *ngIf="update_name_category_control.invalid">Thiếu tên danh mục</mat-error>
                                </mat-form-field>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <mat-select matInput [(ngModel)]="update_parent_category" name="update_parent_category" placeholder="Danh mục cha" >
                                        <mat-option *ngFor="let row of categorys" [value]="row.id">{{row.cgrName}}</mat-option>
                                    </mat-select>
                                </mat-form-field>
                                <!-- <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_parent_category" name="create_parent_category"
                                        placeholder="Danh mục cha">
                                </mat-form-field> -->
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <mat-form-field class="example-full-width">
                                    <mat-select matInput [(ngModel)]="update_attr_category" name="update_attr_category" placeholder="Tập thuộc tính" >
                                        <mat-option *ngFor="let row of attrSets" [value]="row.id">{{row.setName}}</mat-option>
                                    </mat-select>
                                </mat-form-field>
                                <!-- <mat-form-field class="example-full-width">
                                    <input matInput [(ngModel)]="create_attr_category" name="create_attr_category"
                                        placeholder="Tập thuộc tính">
                                </mat-form-field> -->
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </form>
                </div>
            </div>
            <div class="modal-footer">
                <button mat-raised-button type="button" class="btn btn-primary btn-link" (click)="update()">Thay
                    đổi</button>
                <button mat-raised-button type="button" class="btn btn-danger btn-link"
                    data-dismiss="modal">Thoát</button>
            </div>
        </div>
    </div>
</div>